$(function(){
    $('.ajax-post').click(function(){
        var target,form,form_name;
        var target_form = $(this).attr('target-form');
        var form_id = $(this).attr('form_id');
        var that = this;
        if(!form_id)form_id='myform';
        if( ($(this).attr('type')=='submit') || (target = $(this).attr('href')) || (target = $(this).attr('url')) ){
            form = $('.'+target_form);
            
            if($(this).attr('url') !== undefined){
            	target = $(this).attr('url');
            }else{
            	target = form.get(0).action;
            }
            $('#'+form_id).attr('action',target);            
            if ($(this).attr('hide-data') === 'true'){//无数据时也可以使用的功能
            	form = $('.hide-data');
            }else if (form.get(0)==undefined){
            	return false;
            }else if ( form.get(0).nodeName=='FORM' ){
                if ( $(this).hasClass('confirm') ) {
                    if(!confirm('确认要执行该操作吗?')){
                        return false;
                    }
                }                
            }else{
                if ( $(this).hasClass('confirm') ) {
                    if(!confirm('确认要执行该操作吗?')){
                        return false;
                    }
                }
            }$('#'+form_id).submit();
        }
        return false;
    });
    
})




function selectall(name) {
	if ($("#check_box").prop("checked")==false) {
		$("input[name='"+name+"']").each(function() {
			this.checked=false;
		});
	} else {
		$("input[name='"+name+"']").each(function() {this.checked=true;});
	}
}